> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Team Member

> Update a team member's details or status.

## Update member details

`PUT /api/team/members/:id`

Update a team member's name, role, status, or password.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```json theme={null}
{
  "name": "Jane Updated",
  "permissions": ["inbox:view", "contacts:view", "contacts:create", "campaigns:view"]
}
```

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/team/members/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Jane Updated",
    "permissions": ["inbox:view", "contacts:view", "contacts:create", "campaigns:view"]
  }'
```

***

## Update member status

`PATCH /api/team/members/:id/status`

```json theme={null}
{
  "status": "inactive"
}
```

```bash cURL theme={null}
curl -X PATCH https://zeplo.ai/api/team/members/1/status \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "status": "inactive" }'
```

### Status values

| Status | Description |
| - | - |
| `active` | Member can log in and work |
| `inactive` | Member is disabled |

***

## Update member password

`PATCH /api/team/members/:id/password`

```json theme={null}
{
  "password": "NewSecurePass456!"
}
```

```bash cURL theme={null}
curl -X PATCH https://zeplo.ai/api/team/members/1/password \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "password": "NewSecurePass456!" }'
```

***

## Delete member

`DELETE /api/team/members/:id`

```bash cURL theme={null}
curl -X DELETE https://zeplo.ai/api/team/members/5 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.